Skip to main content
POST
/
audio
/
{transcriptionId}
/
sentiment-analysis
Sentiment Analysis (Audio)
curl --request POST \
  --url https://api.munsit.ai/api/v1/audio/{transcriptionId}/sentiment-analysis \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "analysis_depth": "light"
}
'

Endpoint

POST /audio/{transcriptionId}/sentiment-analysis

Authentication

x-api-key: YOUR_MUNSIT_API_KEY

Path parameter

ParameterTypeRequiredDescription
transcriptionIdnumberYesID from Audio Transcription response

Request body

FieldTypeRequiredDescription
analysis_depthstringNolight, standard, or deep

Response highlights

  • language
  • overall_sentiment
  • key_emotions
  • speaker_sentiment
  • sentiment_trends
  • critical_moments
  • confidence_score
  • analysis_depth
  • processing_metadata

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

transcriptionId
string
required

Transcription ID

Body

application/json
analysis_depth
enum<string>
Available options:
light,
standard,
deep

Response

Sentiment analysis generated successfully